Subject: Re: More walnut boottime "fun"

From: Frank Rowand <[email-masked]>
Date: Tue, 04 Dec 2001 09:25:12 -0800

Phil wrote:
>
> I resync the kernel sources today at 7:15 am GMT.
> Any idea ?
>
> -Phil.
>
> Tom Rini a écrit :
> >
> > On Tue, Dec 04, 2001 at 02:46:46PM +0100, Phil wrote:
> >
> > > I'am trying to boot the latest linuxppc_2_4_devel kernel version
> > > (2.4.27-pre2).
> >
> > What date?  This isn't a problem anymore, at least on a few walnuts I've
> > gotten people to test.

Rev 1.731 of linuxppc_2_4_devel(mid-day California time yesterday) boots
fine on my walnut.

HHL2.0 toolchain and ibm OpenBios.

I used an almost default configuration (I was working on a KGDB
problem so I enabled KGDB):

   make walnut_config
   make menconfig
        select KGDB
        select CONFIG_MORE_COMPILE_OPTIONS
   make dep
   make zImage

(I needed to fix config.in to allow CONFIG_MORE_COMPILE_OPTIONS - see
the patch I posted yesterday.)

You shouldn't have to enable KGDB.

Do you have KGDB enabled by mistake?  If you do, it will sit at the
"Now booting the kernel" console message until KGDB connects to the
target.

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/